4GB root isn't enough to install Ubuntu

Bug #1503441 reported by Brian Murray on 2015-10-06
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
partman-auto (Ubuntu)
High
Mathieu Trudel-Lapierre
Wily
High
Mathieu Trudel-Lapierre
partman-swapfile (Ubuntu)
Undecided
Unassigned

Bug Description

I was trying to install on an 8GB virtual machine and it crashed on me. Come to find out this is because I wanted 4GB of RAM which ended up creating a 4GB swap space and left a 4GB root partition which wasn't enough.

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: ubiquity 2.21.33
ProcVersionSignature: Ubuntu 4.2.0-14.16-generic 4.2.2
Uname: Linux 4.2.0-14-generic x86_64
ApportVersion: 2.19-0ubuntu1
Architecture: amd64
CasperVersion: 1.365
Date: Tue Oct 6 14:32:43 2015
LiveMediaBuild: Ubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20151006)
ProcEnviron:
 TERM=linux
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: ubiquity
UpgradeStatus: No upgrade log present (probably fresh install)

Brian Murray (brian-murray) wrote :
Brian Murray (brian-murray) wrote :

Also apport sent me to bug 220961 which while it is useful, made it a bit harder for me to report this bug. ;-)

Brian Murray (brian-murray) wrote :

I think the beginning check about the amount of free space required should be adjusted such that we don't reach the installation failure.

Changed in ubiquity (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Steve Langasek (vorlon) on 2015-10-08
Changed in ubiquity (Ubuntu Wily):
status: New → Triaged
summary: - 8 GB isn't enough to install Ubuntu
+ 4GB root isn't enough to install Ubuntu
Phillip Susi (psusi) wrote :

The partman-auto recipe is supposed to limit the size of swap to leave at least 6 gb of room for the root fs.

Changed in ubiquity (Ubuntu):
importance: Undecided → High
Changed in ubiquity (Ubuntu Wily):
importance: Undecided → High
tags: added: rls-x-incomfing
tags: added: rls-x-incoming
removed: rls-x-incomfing
Changed in ubiquity (Ubuntu Wily):
status: Triaged → Won't Fix
affects: ubiquity (Ubuntu) → partman-auto (Ubuntu)
tags: added: rls-ee-incoming
Dimitri John Ledkov (xnox) wrote :

This is fixed, as we use partman-swapfile by default, and that is properly capped, even with high ram.

no longer affects: partman-swapfile (Ubuntu Wily)
Changed in partman-swapfile (Ubuntu):
status: New → Fix Released
Changed in partman-auto (Ubuntu):
status: Triaged → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers